# $Revision: 1.14.2.2 $, $Date: 2003/11/27 20:38:35 $
Summary:	Libraries for low-level event loop management
Summary(pl):	Biblioteki do zarzdzania niskopoziomowymi ptlami
Name:		liboop
Version:	0.8
Release:	6
License:	LGPL
Group:		Libraries
Source0:	http://www.liboop.org/%{name}-%{version}.tar.gz
# Source0-md5:	903f8d2f9b94e7b0ac73be61d6a5442f
Patch0:		%{name}-libwww-fix.patch
Patch1:		%{name}-nolibs.patch
URL:		http://www.liboop.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	tcl-devel >= 8.3.4-10
BuildRequires:	w3c-libwww-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
liboop is a low-level event loop management library for POSIX-based
operating systems. It supports the development of modular, multiplexed
applications which may respond to events from several sources. It
replaces the "select() loop" and allows the registration of event
handlers for file and network I/O, timers and signals. Since processes
use these mechanisms for almost all external communication, liboop can
be used as the basis for almost any application.

%description -l pl
liboop jest bibliotek do zarzdzania niskopoziomowymi ptlami w
systemach opartych na POSIX. Zawiera ona wsparcie umoliwiajce rozwj
modularnych, zwielokrotnionych aplikacji, ktre mog reagowa na
zdarznia pochodzce z kilku rde. Zastpuje ona "ptl select()" i
umoliwia rejestracj funkcji obsugi zdarze dla plikowego i
sieciowego we/wy, zegarw i sygnaw. Ze wzgldu na to, e procesy
korzystaj z tych mechanizmw przy praktycznie kadej komunikacji z
otoczeniem, mona uywa liboop jako podstawy dla prawie wszystkich
aplikacji.

%package bindings
Summary:	liboop bindings for specific libraries
Summary(pl):	Biblioteki wice liboop z innymi bibliotekami
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description bindings
liboop bindings for specific libraries (dns, glib, readline).

%description bindings -l pl
Biblioteki wice liboop z innymi bibliotekami (dns, glib, readline).

%package binding-tcl
Summary:	liboop binding for tcl library
Summary(pl):	Biblioteka wica liboop z bibliotek tcl
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description binding-tcl
liboop binding for tcl library.

%description binding-tcl -l pl
Biblioteka wica liboop z bibliotek tcl.

%package binding-www
Summary:	liboop binding for w3c-libwww library
Summary(pl):	Biblioteka wica liboop z bibliotek w3c-libwww
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description binding-www
liboop binding for w3c-libwww library.

%description binding-www -l pl
Biblioteka wica liboop z bibliotek w3c-libwww.

%package devel
Summary:	Header files for liboop
Summary(pl):	Pliki nagwkowe liboop
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
liboop is a low-level event loop management library.

This package contains the header files and libraries needed to write
or compile programs that use liboop.

%description devel -l pl
liboop jest bibliotek do zarzdzania niskopoziomowymi ptlami.

Ten pakiet zawiera pliki nagwkowe potrzebne do kompilowania
programw uywajcych liboop.

%package bindings-devel
Summary:	Header files for liboop binding libraries
Summary(pl):	Pliki nagwkowe bibliotek wicych liboop
Group:		Development/Libraries
Requires:	%{name}-bindings = %{version}
Requires:	%{name}-devel = %{version}

%description bindings-devel
liboop is a low-level event loop management library.

This package contains the header files and libraries needed to write
or compile programs that use liboop binding libraries.

%description bindings-devel -l pl
liboop jest bibliotek do zarzdzania niskopoziomowymi ptlami.

Ten pakiet zawiera pliki nagwkowe potrzebne do kompilowania
programw uywajcych bibliotek wicych liboop.

%package binding-tcl-devel
Summary:	Header file for liboop tcl binding library
Summary(pl):	Plik nagwkowy biblioteki wicej liboop z tcl
Group:		Development/Libraries
Requires:	%{name}-binding-tcl = %{version}
Requires:	%{name}-devel = %{version}
Requires:	tcl-devel

%description binding-tcl-devel
This package contains the header file needed to write or compile
programs that use liboop tcl binding library.

%description binding-tcl-devel -l pl
Ten pakiet zawiera plik nagwkowy potrzebny do kompilowania
programw uywajcych biblioteki wicej liboop z tcl.

%package binding-www-devel
Summary:	Header file for liboop w3c-libwww binding libraries
Summary(pl):	Plik nagwkowy biblioteki wicej liboop z w3c-libwww
Group:		Development/Libraries
Requires:	%{name}-bindings = %{version}
Requires:	%{name}-devel = %{version}
Requires:	w3c-libwww-devel

%description binding-www-devel
This package contains the header file needed to write or compile
programs that use liboop w3c-libwww binding library.

%description binding-www-devel -l pl
Ten pakiet zawiera plik nagwkowy potrzebny do kompilowania
programw uywajcych biblioteki wicej liboop z w3c-libwww.

%package static
Summary:	Static liboop libraries
Summary(pl):	Statyczne biblioteki liboop
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}
Requires:	%{name}-bindings-devel = %{version}

%description static
Static liboop libraries.

%description static -l pl
Statyczne biblioteki liboop.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	bindings -p /sbin/ldconfig
%postun	bindings -p /sbin/ldconfig

%post	binding-tcl -p /sbin/ldconfig
%postun	binding-tcl -p /sbin/ldconfig

%post	binding-www -p /sbin/ldconfig
%postun	binding-www -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liboop.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liboop.so
%{_libdir}/liboop.la
%{_includedir}/oop.h
%{_includedir}/oop-read.h

%files bindings
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liboop-adns.so.*.*
%attr(755,root,root) %{_libdir}/liboop-glib.so.*.*
%attr(755,root,root) %{_libdir}/liboop-rl.so.*.*

%files binding-tcl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liboop-tcl.so.*.*

%files binding-www
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liboop-www.so.*.*

%files bindings-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liboop-adns.so
%{_libdir}/liboop-adns.la
%attr(755,root,root) %{_libdir}/liboop-glib.so
%{_libdir}/liboop-glib.la
%attr(755,root,root) %{_libdir}/liboop-rl.so
%{_libdir}/liboop-rl.la
%{_includedir}/oop-adns.h
%{_includedir}/oop-glib.h
%{_includedir}/oop-rl.h

%files binding-tcl-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liboop-tcl.so
%{_libdir}/liboop-tcl.la
%{_includedir}/oop-tcl.h

%files binding-www-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liboop-www.so
%{_libdir}/liboop-www.la
%{_includedir}/oop-www.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: liboop.spec,v $
Revision 1.14.2.2  2003/11/27 20:38:35  ankry
- back to rel. 6

Revision 1.14.2.1  2003/11/27 20:36:57  ankry
- rel. 7

Revision 1.14  2003/09/13 19:04:41  blues
- release 6

Revision 1.13  2003/08/18 08:08:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 05:49:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/03/02 19:45:41  qboosh
- added nolibs patch to avoid unnecessary linking with -lnsl -lresolv
- added fix for w3c-libwww linked with expat 1.95 to libwww-fix patch

Revision 1.9  2002/11/25 14:16:59  ankry
- massive attack: no need for 755 for *.la

Revision 1.8  2002/10/09 09:10:02  qboosh
- BR: libtool

Revision 1.7  2002/08/26 22:21:35  mwinkler
- cosmetics

Revision 1.6  2002/06/30 11:40:08  kloczek
- release 4.

Revision 1.5  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.4  2002/05/24 23:16:06  qboosh
- fixed build in presence of w3c-libwww-devel (libwww-fix patch);
  with w3c-libwww-devel www binding is created, so added BR
- separated tcl and www bindings (because of dependencies)
- release 3

Revision 1.3  2002/05/22 05:43:40  ankry
- splitted onto more packages (-bindings, -bindings-devel added)
- require exact version
- release 2, STBR

Revision 1.2  2002/05/21 23:13:50  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.1  2002/05/14 21:17:55  ankry
- initial release; library required by lsh
